Package: org.codehaus.groovy.runtime

## [Java] Class MethodClosure

- org.codehaus.groovy.runtime.MethodClosure

-     public class MethodClosure
      extends Closure

  Represents a method on an object using a closure which can be invoked at any time

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static boolean` | `ALLOW_RESOLVE` |
    `static String` | `ANY_INSTANCE_METHOD_EXISTS` |
    `static String` | `NEW` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodClosure (Object owner, String method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `doCall(Object arguments)`
    `` | `public String` | `getMethod()`
    `` | `public Object` | `getProperty(String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `leftShift, leftShift, getDelegate, curry, curry, rightShift, getThisObject, getResolveStrategy, getDirective, isCase, asWritable, rcurry, rcurry, ncurry, ncurry, setResolveStrategy, memoizeAtMost, memoizeAtLeast, setDirective, memoizeBetween, trampoline, trampoline, rehydrate, dehydrate, getMaximumNumberOfParameters, memoize, andThenSelf, andThenSelf, composeSelf, composeSelf, compose, run, getProperty, clone, getParameterTypes, setProperty, getOwner, setDelegate, andThen, call, call, call, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, invokeMethod`

- - ### Field Detail

    - #### public static boolean ALLOW_RESOLVE

    - #### public static final String ANY_INSTANCE_METHOD_EXISTS

    - #### public static final String NEW

  - ### Constructor Detail

    - #### public MethodClosure(Object owner, String method)

  - ### Method Detail

    - #### protected Object doCall(Object arguments)

    - #### public String getMethod()

    - #### public Object getProperty(String property)